Subject: Re: Strange things...
From: [email-masked] (Geoffrey Noer)

18 Mar 1998 05:11:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Keet / Foxbird)
Cc: [email-masked]

Keet / Foxbird wrote:
> 
> Well, in response to my previous message, and with no help from very very
> few, I debuged my program the old fashioned way. Putting 'fprintf(stderr,
> "Line 1")' every so often in the code so I could see where the problem
> arose and I found the culprit. The program reads a value from the
> environment and then copies it into a string. But I suspect that GETENV
> returns a null, and when it's passed to strncpy it decides to go belly up.
> I'm not sure if GETENV is supposed to return an empty string or a null? Any
> help on this one?

Running man setenv on a Solaris box:

[...]
> RETURN VALUES
>      If successful, getenv() returns a pointer to  the  value  in
>      the  current  environment;  otherwise,  it  returns  a  null
>      pointer.
[...]

Cygwin32 getenv does this so it looks right to me.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".